Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.strutsel.taglib.logic
Class ELMessagesPresentTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.struts.taglib.logic.ConditionalTagBase
              org.apache.struts.taglib.logic.MessagesPresentTag
                  org.apache.strutsel.taglib.logic.ELMessagesPresentTag

All Implemented Interfaces:
  Serializable, IterationTag, Tag

    public class ELMessagesPresentTag

extends MessagesPresentTag

Evalute to `true` if an `ActionMessages` class or a class that can be converted to an `ActionMessages` class is in request scope under the specified key and there is at least one message in the class or for the property specified.

This class is a subclass of the class `org.apache.struts.taglib.logic.MessagesPresentTag` which provides most of the described functionality. This subclass allows all attribute values to be specified as expressions utilizing the JavaServer Pages Standard Library expression language.

Version:
  $Rev: 471754 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.taglib.logic.MessagesPresentTag
`message`

Fields inherited from class org.apache.struts.taglib.logic.ConditionalTagBase
`cookie, header, messages, name, parameter, property, role, scope, user`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ELMessagesPresentTag()`

Method Summary
`int` | `doStartTag()` Process the start tag.
`String` | `getMessageExpr()` Getter method for "message" tag attribute.
`String` | `getNameExpr()` Getter method for "name" tag attribute.
`String` | `getPropertyExpr()` Getter method for "property" tag attribute.
`void` | `release()` Releases state of custom tag so this instance can be reused.
`void` | `setMessageExpr(String messageExpr)` Setter method for "message" tag attribute.
`void` | `setNameExpr(String nameExpr)` Setter method for "name" tag attribute.
`void` | `setPropertyExpr(String propertyExpr)` Setter method for "property" tag attribute.

Methods inherited from class org.apache.struts.taglib.logic.MessagesPresentTag
`condition, condition, getMessage, setMessage`

Methods inherited from class org.apache.struts.taglib.logic.ConditionalTagBase
`doEndTag, getCookie, getHeader, getName, getParameter, getProperty, getRole, getScope, getUser, setCookie, setHeader, setName, setParameter, setProperty, setRole, setScope, setUser`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ELMessagesPresentTag

    public ELMessagesPresentTag()

Method Detail

### getNameExpr

    public String getNameExpr()

  Getter method for "name" tag attribute. (Mapping set in associated BeanInfo class.)

### getPropertyExpr

    public String getPropertyExpr()

  Getter method for "property" tag attribute. (Mapping set in associated BeanInfo class.)

### getMessageExpr

    public String getMessageExpr()

  Getter method for "message" tag attribute. (Mapping set in associated BeanInfo class.)

### setNameExpr

    public void setNameExpr(String nameExpr)

  Setter method for "name" tag attribute. (Mapping set in associated BeanInfo class.)

### setPropertyExpr

    public void setPropertyExpr(String propertyExpr)

  Setter method for "property" tag attribute. (Mapping set in associated BeanInfo class.)

### setMessageExpr

    public void setMessageExpr(String messageExpr)

  Setter method for "message" tag attribute. (Mapping set in associated BeanInfo class.)

### release

    public void release()

  Releases state of custom tag so this instance can be reused.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `MessagesPresentTag`

### doStartTag

    public int doStartTag()
                   throws JspException

  Process the start tag.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `ConditionalTagBase`
  Throws:
    `JspException` - if a JSP exception has occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.